class_name JavelotPouvoir
extends PouvoirBase
## Pouvoir qui lance un puissant laser


const EruptionScene: PackedScene = preload("res://effets/eruption/eruption.tscn")
const JavelotScene: PackedScene = preload("res://composants/objets/javelot/javelot.tscn")


func declencher_pouvoir(arbre_scene: SceneTree) -> void:
	print("Amorce javelot")
	for raquette in arbre_scene.get_nodes_in_group("groupe_des_raquettes"):
		var lancement: Node2D = EruptionScene.instantiate()
		raquette.add_child(lancement)
		var javelot: Javelot = JavelotScene.instantiate()
		javelot.position = raquette.position
		raquette.add_sibling.call_deferred(javelot)


func couleur_principale() -> Color:
	return Color.ORANGE
